/*
 * cross-platform macros
 */
#ifndef _Q9XX_PLATFORM_H_
#define _Q9XX_PLATFORM_H_

#if defined (Q931PRIVATE) || defined(Q931_PRIVATE)
/*
 * Private view
 */

/*
 * Win32 MSVC
 */
#ifdef _MSC_VER
#pragma warning(disable:4100)
#ifndef strcasecmp
#define strcasecmp(s1, s2) _stricmp(s1, s2)
#endif
#endif

/*
 * Compiler specific
 */
#if defined(__GNUC__)
#define Q921_API(type)  __attribute__((visibility("default"))) type
#define Q931_API(type)	__attribute__((visibility("default"))) type

#elif defined(__SUNPRO_C) || defined(__SUNPRO_CC)
#define Q921_API(type)	__attribute__((visibility("default"))) type
#define Q931_API(type)	__attribute__((visibility("default"))) type

#elif defined(_MSC_VER)
#define Q921_API(type)	__declspec(dllexport) type __stdcall
#define Q931_API(type)	__declspec(dllexport) type __stdcall

#else
#define Q921_API(type)	type
#define Q931_API(type)	type
#endif

#else	/* !Q931_PRIVATE */
/*
 * Public view
 */
#define Q921_API(type)	type
#define Q931_API(type)	type

#endif
#endif
